Delete a conversation
- Base URL
-
https://{kibana_url}
- DELETE /api/security_ai_assistant/current_user/conversations/{id}
- DELETE /s/{space_id}/api/security_ai_assistant/current_user/conversations/{id}
Delete an existing conversation using the conversation ID. This endpoint allows users to permanently delete a conversation.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Responses
Indicates a successful call. The conversation was deleted successfully.
-
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters.
-
messagesobject[] -
The conversation messages.
-
idstring · format: nonempty · min length: 1 -
A string that does not contain only whitespace characters.
-
metadataobject -
Message metadata
-
contentReferencesmap string to oneOf -
A union of all content reference types
-
<string>union oneOf -
interruptResumeValueunion oneOf -
Union of the interrupt resume values
- One of:
-
timestampstring · format: nonempty · min length: 1required -
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
References a knowledge base entry
References a security alert
References the security alerts page
References the product documentation
References an ESQL query
A request approval resume schema